#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD2,0x7B,0xFA,0x79,0x89,0x23,0x0B,0x4E,0x45,0x8D,0x6D,0x9B,
		0xE0,0x34,0xFD,0xCB,0x62,0x1B,0x09,0xEE,0x77,0xD7,0xDB,0x9B,
		0x81,0x0D,0x62,0xC5,0x74,0x83,0xCC,0x71,0x88,0xDB,0x4E,0xF3,
		0x03,0x26,0x80,0xBB,0xDB,0xB1,0x59,0x8F,0xAE,0x86,0xA3,0xC5,
		0xE1,0x38,0x51,0x54,0xEB,0xE9,0x03,0x38,0x43,0x86,0xE2,0xA7,
		0xEA,0xC5,0x17,0x83,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
